import { ProjectOptions } from 'ts-morph';
declare type TResult = {
    required: boolean;
    type: string;
    default?: string;
    errorMsg?: string;
};
declare type TFunCallArg = {
    [envKey in string]: {
        [path in string]: TResult;
    };
};
export declare type Report = {
    sourceFilePath: string;
    options?: ProjectOptions;
};
/**
 * @description Get the call report of all typedEnv functions
 */
export declare function generateTypedEnvCallUsageReport({ sourceFilePath, options, }: Report): {
    envNames: string[];
    data: TFunCallArg;
    exceptionReport: ({
        envKey: string;
        types: string[];
        line: {
            path: string;
            errors: string | undefined;
        }[];
        errors: string[];
        warnings: string[];
    } | undefined)[];
};
export {};
